
Redmine - Defect #22196

Improve positioning of issue history and changesets on small screens

2016-03-15 15:34 - Gregor Schmidt

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI - Responsive Estimated time: 0.00 hour

Target version: 3.2.2   

Resolution: Fixed Affected version: 3.2.1

Description

On small screens, just like on the big ones, the issue history and the associated changesets are positioned next to each other. This

looks strange, especially, if the the issue comments contain blockquotes.

 side-by-side.png 

The attached patch adds CSS rules to place them below each other on small screens.

Associated revisions

Revision 15296 - 2016-04-03 14:08 - Jean-Philippe Lang

Place changesets above history on small screens (#22196).

Remove horizontal margin and padding, add some vertical spacing.

Patch by Gregor Schmidt.

Revision 15297 - 2016-04-03 14:08 - Jean-Philippe Lang

Merged r15296 (#22196).

History

#1 - 2016-03-15 15:38 - Gregor Schmidt

- File 0001-Place-changesets-above-history-on-small-screens.patch added

- File one-below-the-other.png added

The attached patch is targeted at trunk. It removes the floating and horizontal spacing and adds some vertical spacing.
one-below-the-other.png 

#2 - 2016-03-15 22:30 - Jean-Philippe Lang

- Target version set to 3.2.2

#3 - 2016-04-03 14:09 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed, thanks.

Files

side-by-side.png 40.5 KB 2016-03-15 Gregor Schmidt
